Subject: Re: [I2nsf] Offer for Revision Help for I2NSF NSFs Capabilities Information Model Draft

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Fri, 9 Oct 2020 16:08:12 +0900

Hi Diego,
I agree with you that the extension of the I2NSF NSF Capabilities
Information Model will be used for
other areas in the I2NSF such as Remote Attestation and closed-loop
security management.
I have much interest in this Remote Attestation in the I2NSF, too.
I would like to propose an extension of I2NSF for closed-loop security
management through
the NSF monitoring and the analysis of the monitoring data for an augmented
security policy
or a new security policy.
I would like to propose this closed-loop security management for the
rechartering along with
the remote attestation.
For this closed-loop security management, we need to extend the I2NSF
framework and
need additional interfaces for the feedback interface from the I2NSF
monitoring data analyzer to
the I2NSF security controller.

Thanks.

Best Regards,
Paul

On Tue, Sep 22, 2020 at 11:50 PM Diego R. Lopez <
[email-masked]> wrote:

> Hi Paul,
>
>
>
> Before you go for it, let me share with you some reflections on the state
> of the draft, in the spirit of what I replied to Eric Vyncke.
>
>
>
> I must confess there has been a combination of events that made me think
> the best solution was to leave this draft to fade away. First, I was not
> (have not been yet) able to find a solution to most of Roman’s comments
> without totally rewriting most, if not all, of the document.  Second, the
> fact that the capability data model was evolving in a quite reasonable and
> pragmatic way, including running code at the hackathons, following the
> spirit of the initial work in the information model, but not attempting to
> align with its most recent evolution. If I have not shared this position
> before is because I have been looking for a way to make the idea of
> bridging capability declarations and security policy statements at the
> I2NSF controller viable, and I was hoping to find such a way by reusing
> part of the capability info model draft.
>
> As I told Eric, I believe the current capability model has a powerful
> (though probably not yet complete) calculus for policy description and
> validation, but not directly related to the management mechanisms addressed
> in the capability data model and the other data models produced in I2NSF. I
> believe there is an opportunity for accomplishing policy-capability
> bridging, using as foundation the current capability model, though it seems
> to me that this task would require some time to consolidate and therefore
> imply an extension of the I2NSF lifetime. I would like to know your
> position(*) about such an extension,  that could also become an opportunity
> to work in other matters related to attestation (in the light of the work
> in RATS and the MUD initiative within the Ops Area) and accounting.
>
>
>
> Be goode,
>
>
>
> (*) I assume you are in favor, Paul. But I’d like to get Linda’s, Yoav’s
> and Roman’s ideas, as well as the availability to work on this from Frank,
> John and Aldo.
>
>
>
> --
>
> "Esta vez no fallaremos, Doctor Infierno"
>
>
>
> Dr Diego R. Lopez
>
> Telefonica I+D
>
> https://www.linkedin.com/in/dr2lopez/
>
>
>
> e-mail: [email-masked]
>
> Tel:         +34 913 129 041
>
> Mobile:  +34 682 051 091
>
> ----------------------------------
>
>
>
> On 17/09/2020, 01:42, "Mr. Jaehoon Paul Jeong" <[email-masked]>
> wrote:
>
>
>
> Hi Linda,
>
> I will address our AD Roman's comments on this NSFs capabilities
> information draft as the 2nd editor through the collaboration with Frank
> (the 1st editor) and the other authors.
>
>
>
> I CC our AD Roman and the other authors, such as John and Cataldo.
>
>
>
> Thanks for your support and guidance.
>
>
>
> Best Regards,
>
> Paul
>
>
>
> 2020년 9월 17일 (목) 오전 3:44, Linda Dunbar <[email-masked]>님이 작성:
>
> Paul,
>
>
>
> Thank you very much for offering to address the AD comments to this draft.
> Looks like the current authors are too busy to address those comments. It
> has been over a year since the AD comments were given.  We need to move the
> draft forward. Therefore, I2NSF chairs have authorized you to be one of the
> editors to address the AD comments and revise the draft.
>
>
>
>
>
> Thank you very much.
>
>
>
> Linda & Yoav
>
>
>
>
>
> *From:* Mr. Jaehoon Paul Jeong <[email-masked]>
> *Sent:* Sunday, September 13, 2020 10:09 AM
> *To:* Xialiang (Frank) <[email-masked]>
> *Cc:* Linda Dunbar <[email-masked]>; Yoav Nir <
> [email-masked]>; DIEGO LOPEZ GARCIA <[email-masked]>;
> Jaehoon Jeong <[email-masked]>
> *Subject:* Offer for Revision Help for I2NSF NSFs Capabilities
> Information Model Draft
>
>
>
> Hi Frank,
>
> Could I help you to revise your information model draft for our AD Roman
> Danyliw's review comments  as a co-editor?
>
>
> https://datatracker.ietf.org/doc/draft-ietf-i2nsf-capability/?include_text=1
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-i2nsf-capability%2F%3Finclude_text%3D1&data=02%7C01%7Clinda.dunbar%40futurewei.com%7C34e743abe97044391c7408d857f6ed45%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637356065339807897&sdata=iqwH7Qp8SGTB84gRz4jk1AwyoA3gEn0hBpxmxgnSxFU%3D&reserved=0>
>
>
>
> As you know, I have finished our I2NSF data model drafts.
>
>
>
> I am happy to work on the revision with you in order to complete our I2NSF
> deliverables.
>
>
>
> Thanks.
>
>
>
> Best Regards,
>
> Paul
>
>
> ------------------------------
>
> Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario,
> puede contener información privilegiada o confidencial y es para uso
> exclusivo de la persona o entidad de destino. Si no es usted. el
> destinatario indicado, queda notificado de que la lectura, utilización,
> divulgación y/o copia sin autorización puede estar prohibida en virtud de
> la legislación vigente. Si ha recibido este mensaje por error, le rogamos
> que nos lo comunique inmediatamente por esta misma vía y proceda a su
> destrucción.
>
> The information contained in this transmission is privileged and
> confidential information intended only for the use of the individual or
> entity named above. If the reader of this message is not the intended
> recipient, you are hereby notified that any dissemination, distribution or
> copying of this communication is strictly prohibited. If you have received
> this transmission in error, do not read it. Please immediately reply to the
> sender that you have received this communication in error and then delete
> it.
>
> Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário,
> pode conter informação privilegiada ou confidencial e é para uso exclusivo
> da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário
> indicado, fica notificado de que a leitura, utilização, divulgação e/ou
> cópia sem autorização pode estar proibida em virtude da legislação vigente.
> Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique
> imediatamente por esta mesma via e proceda a sua destruição
>

-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Computer Science and Engineering
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>